Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.physics
Class CameraObject

    java.lang.Object
      net.sf.j3d.threeD.raytracer.camera.OrthographicCamera
          net.sf.j3d.threeD.raytracer.camera.PinholeCamera
              net.sf.j3d.physics.CameraObject

All Implemented Interfaces:
  UpdateListener, Camera

    public class CameraObject

extends PinholeCamera
implements UpdateListener

Author:
  Mike Murray

Constructor Summary
`CameraObject(RigidBody model)`

Method Summary
`void` | `backward(double d)`
`void` | `forward(double d)`
`void` | `jump(double d)`
`void` | `turnLeft()`
`void` | `turnRight()`
`void` | `update()`

Methods inherited from class net.sf.j3d.threeD.raytracer.camera.PinholeCamera
`getBlur, getFocalLength, getFOV, rayAt, setBlur, setFocalLength, toString`

Methods inherited from class net.sf.j3d.threeD.raytracer.camera.OrthographicCamera
`getLocation, getProjectionHeight, getProjectionWidth, getRotationMatrix, getUpDirection, getViewDirection, getViewingDirection, setLocation, setProjectionDimensions, setProjectionHeight, setProjectionWidth, setUpDirection, setViewDirection, setViewingDirection, updateUVW`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CameraObject

    public CameraObject(RigidBody model)

Method Detail

### update

    public void update()

  Specified by:
    `update` in interface `UpdateListener`

### forward

    public void forward(double d)

### backward

    public void backward(double d)

### turnLeft

    public void turnLeft()

### turnRight

    public void turnRight()

### jump

    public void jump(double d)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD